%global _empty_manifest_terminate_build 0
Name:		python-authres
Version:	1.2.0
Release:	1
Summary:	authres - Authentication Results Header Module
License:	Apache 2.0
URL:		https://pypi.org/projects/authres
Source0:	https://files.pythonhosted.org/packages/6a/29/e28209b5d3d56c102845cca5a4a3abaf2724f79e83476a52b94d775ecce6/authres-%{version}.tar.gz
BuildArch:	noarch

%description
This module (authres) is designed to provide support for RFC 5451/7001.

It supports Authentication Results extensions:
RFC 5617 DKIM/ADSP
RFC 6008 DKIM signature identification (header.b)
RFC 6212 Vouch By Reference (VBR)
RFC 6577 Sender Policy Framework (SPF)
RFC 7281 Authentication-Results Registration for S/MIME
RFC 7293, The Require-Recipient-Valid-Since Header Field and SMTP Service Extension, header field types
RFC 7489 Domain-based Message Authentication, Reporting, and Conformance(DMARC)
RFC 8617 The Authenticated Received Chain (ARC) Protocol

%package -n python3-authres
Summary:	authres - Authentication Results Header Module
Provides:	    python-authres
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Recommends:     %{name}-help = %{version}-%{release}

%description -n python3-authres
This module (authres) is designed to provide support for RFC 5451/7001.

It supports Authentication Results extensions:
RFC 5617 DKIM/ADSP
RFC 6008 DKIM signature identification (header.b)
RFC 6212 Vouch By Reference (VBR)
RFC 6577 Sender Policy Framework (SPF)
RFC 7281 Authentication-Results Registration for S/MIME
RFC 7293, The Require-Recipient-Valid-Since Header Field and SMTP Service Extension, header field types
RFC 7489 Domain-based Message Authentication, Reporting, and Conformance(DMARC)
RFC 8617 The Authenticated Received Chain (ARC) Protocol

%package help
Summary:	Development documents and examples for authres
Provides:	python3-authres-doc

%description help
Development documents and examples for authres.

%prep
%autosetup -n authres-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-authres -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Dec 18 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
